GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Enumerations
- Enumerator
- Related Functions

- :
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- l
- m
- n
- o
- p
- r
- s
- t
- u
- w
- ~

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - s -

- SecureAuthContext : grpc::AuthPropertyIterator
- SecureCredentials : grpc::ChannelArguments
- send_ : grpc::CallOpSendInitialMetadata
- SendInitialMetadata() : grpc::CallOpSendInitialMetadata , grpc::ServerAsyncReader< W, R > , grpc::ServerAsyncReaderWriter< R, W > , grpc::ServerAsyncResponseWriter< W > , grpc::ServerAsyncStreamingInterface , grpc::ServerAsyncWriter< W > , grpc::ServerReader< R > , grpc::ServerReaderWriter< R, W > , grpc::ServerWriter< W >
- SendMessage() : grpc::CallOpSendMessage
- SerializationTraits< ByteBuffer, void > : grpc::ByteBuffer
- Serialize() : grpc::SerializationTraits< ByteBuffer, void > , grpc::SerializationTraits< T, typename std::enable_if< std::is_base_of< grpc::protobuf::Message, T >::value >::type >
- Server : grpc::AsyncGenericService , grpc::AsynchronousService , grpc::GenericServerContext , grpc::ServerAsyncStreamingInterface
- server_context : grpc::MethodHandler::HandlerParameter
- SERVER_STREAMING : grpc::RpcMethod
- ServerAsyncReader() : grpc::ServerAsyncReader< W, R >
- ServerAsyncReaderWriter() : grpc::ServerAsyncReaderWriter< R, W >
- ServerAsyncResponseWriter() : grpc::ServerAsyncResponseWriter< W >
- ServerAsyncWriter() : grpc::ServerAsyncWriter< W >
- ServerBuilder : grpc::Server , grpc::ServerBuilder , grpc::ServerCompletionQueue
- ServerContext() : grpc::ServerContext
- ServerReader() : grpc::ServerReader< R >
- ServerReaderWriter() : grpc::ServerReaderWriter< R, W >
- ServerSendStatus() : grpc::CallOpServerSendStatus
- ServerStreamingHandler : grpc::CompletionQueue , grpc::ServerContext , grpc::ServerStreamingHandler< ServiceType, RequestType, ResponseType >
- ServerWriter() : grpc::ServerWriter< W >
- service() : grpc::SynchronousService
- set_authority() : grpc::ClientContext
- set_buffer_hint() : grpc::WriteOptions
- set_census_context() : grpc::ClientContext
- set_compression_algorithm() : grpc::ClientContext , grpc::ServerContext
- set_compression_level() : grpc::ServerContext
- set_credentials() : grpc::ClientContext
- set_deadline() : grpc::ClientContext
- set_max_message_size() : grpc::CallOpSetInterface
- set_no_compression() : grpc::WriteOptions
- set_output_tag() : grpc::CallOpSet< Op1, Op2, Op3, Op4, Op5, Op6 >
- SetChannelArgs() : grpc::ChannelArguments
- SetCompressionAlgorithm() : grpc::ChannelArguments
- SetInt() : grpc::ChannelArguments
- SetMaxMessageSize() : grpc::ServerBuilder
- SetSslTargetNameOverride() : grpc::ChannelArguments
- SetString() : grpc::ChannelArguments
- SetThreadPool() : grpc::ServerBuilder
- Shutdown() : grpc::CompletionQueue
- SHUTDOWN : grpc::CompletionQueue
- Shutdown() : grpc::Server
- size() : grpc::Slice
- Slice() : grpc::Slice
- SslServerCredentialsOptions() : grpc::SslServerCredentialsOptions
- Status() : grpc::Status
- STEAL_REF : grpc::Slice
- StealRef : grpc::Slice
- Swap() : grpc::ChannelArguments